using System.Collections;
using System.Collections.Generic;
using System.Security.Cryptography;
using UnityEngine;

public class EncryptionTester : MonoBehaviour
{
    public PaddingMode paddingMode;
    public CipherMode cipherMode;
    [Header("Encryption")]
    public string textToEncrypt;
    public string encryptedText;

    [Header("Decryption")]
    public string textToDecrypt;
    public string decryptedText;

    [Header("Numbers")]
    [Header("Encryption")]
    public int numberToEncrypt;
    public string encryptedNumber;
    [Header("Encryption")]
    public string numTextToDecrypt;
    public int decryptedNumber;
    
    void OnDrawGizmos(){
        Encryptor.cipherMode = cipherMode;
        Encryptor.paddingMode = paddingMode;

        encryptedText = Encryptor.encrypt(textToEncrypt);
        decryptedText = Encryptor.decrypt(textToDecrypt);

        encryptedNumber = Encryptor.intToString(numberToEncrypt);
        decryptedNumber = Encryptor.stringToInt(numTextToDecrypt);
    }
}
